﻿@using AutoMotori.Models
@model AutoMotori.ViewModels.AutomobilTipMotoraViewModel

@{
    ViewBag.Title = "Edit";
}
<script src="~/Scripts/editFormJS.js"></script>
<h2>Create</h2>


<form method="post" action="/Automobil/Edit" onsubmit="return posalji(this)">
    <div class="form-horizontal">
        <h4>Product</h4>
        <hr />
        <div class="form-group">
            <input type="hidden" name="Automobil.Id" value="@Model.Automobil.Id" />
            @Html.LabelFor(m => m.Automobil.Proizvodjac)
            @Html.TextBoxFor(m => m.Automobil.Proizvodjac, new { @class = "form-control", @value = "@Model.Automoibil.Proizvodjac", @placeholder = "proizvodjac" })
            <span id="proizvodjacSpan" style="color:red"></span>
        </div>
        <div class="form-group">
            @Html.LabelFor(m => m.Automobil.Model)
            @Html.TextBoxFor(m => m.Automobil.Model, new { @class = "form-control", @value = "@Model.Automoibil.Model", @placeholder = "model" })
            <span id="modelSpan" style="color:red"></span>
        </div>
        <div class="form-group">
            @Html.LabelFor(m => m.Automobil.Godiste)
            @Html.TextBoxFor(m => m.Automobil.Godiste, new { @class = "form-control", @value = "@Model.Automoibil.Godiste", @placeholder = "godiste" })
            <span id="godisteSpan" style="color:red"></span>
        </div>
        <div class="form-group">
            @Html.LabelFor(m => m.Automobil.Zapremina)
            @Html.TextBoxFor(m => m.Automobil.Zapremina, new { @class = "form-control", @value = "@Model.Automoibil.Zapremina", @placeholder = "zapremina" })
            <span id="zapreminaSpan" style="color:red"></span>
        </div>
        <div class="form-group">
            @Html.LabelFor(m => m.Automobil.Boja)
            @Html.TextBoxFor(m => m.Automobil.Boja, new { @class = "form-control", @value = "@Model.Automoibil.Boja", @placeholder = "boja" })
            <span id="bojaSpan" style="color:red"></span>
        </div>
        <div class="form-group">
            @Html.DropDownListFor(m => m.Automobil.TipMotora.Id, new SelectList(Model.TipoviMotora, "Id", "Naziv"))
        </div>
        <div class="form-group">
            <div class="col-md-offset-2 col-md-10">
                <input type="submit" value="Save Changes" class="btn btn-default" />
            </div>
        </div>
    </div>
</form>

<div>
    @Html.ActionLink("Back to List", "Index")
</div>

@section Scripts {
    @Scripts.Render("~/bundles/jqueryval")
}